<template>
    <main>
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-5 login-section-wrapper ppl">
          <div class="brand-wrapper">
            <center>
             <img :src="ruta + '/img/logo.png'" class="img"  width="140" height="130">
            </center>
          </div>
          <div class="login-wrapper my-auto">
            <center>
              <h1 class="login-title">Recuperar Contraseña</h1>
            </center>
            <br>
              <div class="form-group">
                    <input 
                        type="text" 
                        v-model="email"
                        class="form-control"
                        placeholder="Email"
                    >
                </div>
                <br>
                <button 
                    type="submit" 
                    id="login" 
                    class="btn btn-block login-btn" 
                    @click="enviarEmail()">Enviar
                </button>

            <center>
              <p class="login-wrapper-footer-text">¿Quieres entrar a Digidocs?<router-link class="nav-link a" :to="'/'">Iniciar Sesión</router-link></p>
            </center>
          </div>
        </div>
        <div class="col-sm-7 px-0 d-none d-sm-block div-img">
          <img :src="ruta + '/img/Fondos/Pantalla principal.png'" alt="login image" class="login-img">
                      <footer class="main-footer footer">
              <h6>© Copyright 2021 | DIGIDOCS | Solumáticas GRM | Todos los derechos reservados |</h6>
            </footer>
        </div>

      </div>
    </div>

  </main>
</template>

<script>
export default {
    
    props: ['ruta'],

    data: () => {
        return {
            email: ""
        }
    },

    methods: {
        async enviarEmail() {

            const dataPost = {
                email: this.email
            }

            try {

                const response = await axios.post(this.ruta + '/api/enviar-email', dataPost);
                this.$utils.showSuccess(response.data['mensaje']);
                this.$router.push({name:'login'})
            } catch (error) {

                const jsonResponse = JSON.parse(error.request.response);
                this.$utils.showWarning(jsonResponse['mensaje']);
            }
        }
    }
}
</script>